# -*- RPM-SPEC -*-

%ifarch %{ix86}
%define eclipse_arch    x86
%define java_arch	i386
%endif
%ifarch alpha
%define eclipse_arch	alpha
%define java_arch	alpha
%endif
%ifarch ia64
%define eclipse_arch	ia64
%define java_arch	ia64
%endif
%ifarch ppc64
%define eclipse_arch	ppc64
%define java_arch	ppc
%endif
%ifarch sparc64
%define eclipse_arch	sparc64
%define java_arch	sparc
%endif
%ifarch x86_64
%define eclipse_arch	amd64
%define java_arch	amd64
%endif

%define eclipse_base    /usr/share/eclipse

Summary: EMF plug-ins for Eclipse
Name: eclipse-emf
Version: 2.0.1
Release: 7
Copyright: Common Public License Version 0.5 <http://www.eclipse.org/legal/cpl-v05.html>
Group: Development/Tools
URL: http://www.eclipse.org
Requires: eclipse-ui

# Note that following the Eclipse Releng process we do not distribute a 
# real .tar.gz file.  Instead, you must build it by hand.  The way to do 
# this is to check out org.eclipse.cdt.releng.  Edit maps/changelog.map 
# to refer to the# tag appropriate to the release.  Then run the "fetch" 
# target to fetch everything.  Package this up, such that the tar
# file unpacks a new "org.eclipse.changelog.releng" directory with all the
# contents.  See the java command to see how to invoke
# things in the releng build.xml.

Source0: eclipse-emf-2.0.1.tar.gz

BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: desktop-file-utils
BuildRequires: eclipse-platform
BuildRequires: eclipse-jdt
BuildRequires: eclipse-pde
BuildRequires: libswt3-gtk2
BuildRequires: eclipse-gtk2

BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch:		i386 ia64 ppc x86_64

%description
The eclipse-emf package provides the EMF plugins for eclipse. EMF is a modeling framework and code generation facility for building tools and other applications based on a structured data model.

%prep
%setup -q -c 


%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK && pwd)


mkdir home
homedir=$(cd home > /dev/null && pwd)

cd org.eclipse.emf.releng.build

                                                                                                                             
java -cp $SDK/startup.jar \
    -Duser.home=$homedir \
     org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -Dcomponent=sdk \
    -DjavacFailOnError=true \
    -DdontUnzip=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build_3.0.1/scripts \
    -DdontFetchAnything=true

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{eclipse_base}

for file in $(pwd)/org.eclipse.emf.releng.build/src/eclipse/I*/*.zip; do
  case $file in
    *eclipse*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file)
      ;;
  esac
done


%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{eclipse_base}/features/*
%{eclipse_base}/plugins/*


%changelog
* Mon Jun 27 2005 Aaron Luchko <aluchko@redhat.com> 2.0.1-7
- Added x86_64

* Mon May 2 2005 Ben Konrath <bkonrath@redhat.com> 2.0.1-6
- Build against Eclipse 3.0.2.

* Thu Mar 21 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-5
- Migrate RHEL-3 sources to RHEL-4

* Thu Mar 17 2005 Jeff Pound <jpound@redhat.com> 2.0.1-4
- Change pde build script location to 3.0.1.

* Wed Mar 16 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-3
- Fixed description

* Fri Oct 29 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-2
- Modified tar-ball to reflect version	

* Wed Oct 27 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-1
- Initial Import
